Index: testsuites/fstests/fsscandir01/mdosfs_fsscandir01.scn
===================================================================
--- testsuites/fstests/fsscandir01/mdosfs_fsscandir01.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fsscandir01/mdosfs_fsscandir01.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,6 @@
+*** BEGIN OF TEST FSSCANDIR DOSFS ***
+Initializing filesystem DOSFS
+
+
+Shutting down filesystem DOSFS
+*** END OF TEST FSSCANDIR DOSFS ***
Index: testsuites/fstests/fsscandir01/mimfs_fsscandir01.scn
===================================================================
--- testsuites/fstests/fsscandir01/mimfs_fsscandir01.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fsscandir01/mimfs_fsscandir01.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,7 @@
+*** BEGIN OF TEST FSSCANDIR MOUNTED IMFS ***
+Initializing filesystem MOUNTED IMFS
+scandir: Success
+
+
+Shutting down filesystem MOUNTED IMFS
+*** END OF TEST FSSCANDIR MOUNTED IMFS ***
Index: testsuites/fstests/fsscandir01/mrfs_fsscandir01.scn
===================================================================
--- testsuites/fstests/fsscandir01/mrfs_fsscandir01.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fsscandir01/mrfs_fsscandir01.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,7 @@
+*** BEGIN OF TEST FSSCANDIR RFS ***
+Initializing filesystem RFS
+.
+
+
+Shutting down filesystem RFS
+*** END OF TEST FSSCANDIR RFS ***
Index: testsuites/fstests/fsstatvfs/mdosfs_fsstatvfs.scn
===================================================================
--- testsuites/fstests/fsstatvfs/mdosfs_fsstatvfs.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fsstatvfs/mdosfs_fsstatvfs.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,12 @@
+
+
+*** FILE SYSTEM TEST ( MOUNTED DOSFS ) ***
+Initializing filesystem MOUNTED DOSFS
+
+
+*** STATVFS TEST ***
+*** END OF TEST STATVFS ***
+
+
+Shutting down filesystem MOUNTED DOSFS
+*** END OF FILE SYSTEM TEST ( MOUNTED DOSFS ) ***
Index: testsuites/fstests/fssymlink/imfs_fssymlink.scn
===================================================================
--- testsuites/fstests/fssymlink/imfs_fssymlink.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fssymlink/imfs_fssymlink.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,37 @@
+
+
+*** FILE SYSTEM TEST ( IMFS ) ***
+Initializing filesystem IMFS
+
+
+*** SYMLINK TEST ***
+Create a file named file
+Create a symlink named symlink to file
+call readlink
+file
+Unlink the file
+call readlink
+Create a dir named file
+Create a symlink named symlink to file
+call readlink
+rmdir the dir
+symlink loop erro test
+Testing creat      with arguments: "path,mode"          EXPECT "ELOOP"
+PASS
+Testing open       with arguments: "path,O_CREAT|O_WRONLY,mode" EXPECT "ELOOP"
+PASS
+Testing truncate   with arguments: "path,0"             EXPECT "ELOOP"
+PASS
+Testing rename     with arguments: "path,file04"        EXPECT "ELOOP"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/imfs_fssymlink/../fssymlink/test.c: 151
+Testing unlink     with arguments: "path"               EXPECT "ELOOP"
+PASS
+Testing mkdir      with arguments: "path,mode"          EXPECT "ELOOP"
+PASS
+Testing rmdir      with arguments: "path"               EXPECT "ELOOP"
+PASS
+*** END OF SYMLINK TEST ***
+
+
+Shutting down filesystem IMFS
+*** END OF FILE SYSTEM TEST ( IMFS ) ***
Index: testsuites/fstests/fssymlink/jffs2_fssymlink.scn
===================================================================
--- testsuites/fstests/fssymlink/jffs2_fssymlink.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fssymlink/jffs2_fssymlink.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,37 @@
+
+
+*** FILE SYSTEM TEST ( JFFS2 ) ***
+Initializing filesystem JFFS2
+
+
+*** SYMLINK TEST ***
+Create a file named file
+Create a symlink named symlink to file
+call readlink
+file
+Unlink the file
+call readlink
+Create a dir named file
+Create a symlink named symlink to file
+call readlink
+rmdir the dir
+symlink loop erro test
+Testing creat      with arguments: "path,mode"          EXPECT "ELOOP"
+PASS
+Testing open       with arguments: "path,O_CREAT|O_WRONLY,mode" EXPECT "ELOOP"
+PASS
+Testing truncate   with arguments: "path,0"             EXPECT "ELOOP"
+PASS
+Testing rename     with arguments: "path,file04"        EXPECT "ELOOP"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/jffs2_fssymlink/../fssymlink/test.c: 151
+Testing unlink     with arguments: "path"               EXPECT "ELOOP"
+PASS
+Testing mkdir      with arguments: "path,mode"          EXPECT "ELOOP"
+PASS
+Testing rmdir      with arguments: "path"               EXPECT "ELOOP"
+PASS
+*** END OF SYMLINK TEST ***
+
+
+Shutting down filesystem JFFS2
+*** END OF FILE SYSTEM TEST ( JFFS2 ) ***
Index: testsuites/fstests/fssymlink/mimfs_fssymlink.scn
===================================================================
--- testsuites/fstests/fssymlink/mimfs_fssymlink.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fssymlink/mimfs_fssymlink.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,31 @@
+*** FILE SYSTEM TEST ( MOUNTED IMFS ) ***
+Initializing filesystem MOUNTED IMFS
+
+
+*** SYMLINK TEST ***
+Create a file named file
+Create a symlink named symlink to file
+call readlink 
+file
+Unlink the file
+call readlink 
+Create a dir named file
+Create a symlink named symlink to file
+call readlink 
+rmdir the dir
+symlink loop erro test
+Testing creat      with arguments: "path,mode"          EXPECT "ELOOP"
+PASS
+Testing open       with arguments: "path,O_CREAT|O_WRONLY,mode" EXPECT "ELOOP"
+PASS
+Testing truncate   with arguments: "path,0"             EXPECT "ELOOP"
+PASS
+Testing rename     with arguments: "path,file04"        EXPECT "ELOOP"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/mimfs_fssymlink/../fssymlink/test.c: 151 
+Testing unlink     with arguments: "path"               EXPECT "ELOOP"
+PASS
+Testing mkdir      with arguments: "path,mode"          EXPECT "ELOOP"
+PASS
+Testing rmdir      with arguments: "path"               EXPECT "ELOOP"
+PASS
+*** END OF SYMLINK TEST ***
Index: testsuites/fstests/fssymlink/mrfs_fssymlink.scn
===================================================================
--- testsuites/fstests/fssymlink/mrfs_fssymlink.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fssymlink/mrfs_fssymlink.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,37 @@
+
+
+*** FILE SYSTEM TEST ( MOUNTED RFS ) ***
+Initializing filesystem MOUNTED RFS
+
+
+*** SYMLINK TEST ***
+Create a file named file
+Create a symlink named symlink to file
+call readlink
+file
+Unlink the file
+call readlink
+Create a dir named file
+Create a symlink named symlink to file
+call readlink
+rmdir the dir
+symlink loop erro test
+Testing creat      with arguments: "path,mode"          EXPECT "ELOOP"
+PASS
+Testing open       with arguments: "path,O_CREAT|O_WRONLY,mode" EXPECT "ELOOP"
+PASS
+Testing truncate   with arguments: "path,0"             EXPECT "ELOOP"
+PASS
+Testing rename     with arguments: "path,file04"        EXPECT "ELOOP"
+FAIL   ../../../../../../../rtems/c/src/../../testsuites/fstests/mrfs_fssymlink/../fssymlink/test.c: 151
+Testing unlink     with arguments: "path"               EXPECT "ELOOP"
+PASS
+Testing mkdir      with arguments: "path,mode"          EXPECT "ELOOP"
+PASS
+Testing rmdir      with arguments: "path"               EXPECT "ELOOP"
+PASS
+*** END OF SYMLINK TEST ***
+
+
+Shutting down filesystem MOUNTED RFS
+*** END OF FILE SYSTEM TEST ( MOUNTED RFS ) ***
Index: testsuites/fstests/fstime/imfs_fstime.scn
===================================================================
--- testsuites/fstests/fstime/imfs_fstime.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fstime/imfs_fstime.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,12 @@
+*** FILE SYSTEM TEST ( IMFS ) ***
+Initializing filesystem IMFS
+
+
+*** TIME TEST ***
+Sleep a few seconds
+*** END OF TIME TEST ***
+
+
+Shutting down filesystem IMFS
+*** END OF FILE SYSTEM TEST ( IMFS ) ***
+
Index: testsuites/fstests/fstime/jffs2_fstime.scn
===================================================================
--- testsuites/fstests/fstime/jffs2_fstime.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fstime/jffs2_fstime.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,15 @@
+
+
+*** FILE SYSTEM TEST ( JFFS2 ) ***
+Initializing filesystem JFFS2
+
+
+*** TIME TEST ***
+Sleep a few seconds
+Sleep a few seconds
+Sleep a few seconds
+*** END OF TIME TEST ***
+
+
+Shutting down filesystem JFFS2
+*** END OF FILE SYSTEM TEST ( JFFS2 ) ***
Index: testsuites/fstests/fstime/mimfs_fstime.scn
===================================================================
--- testsuites/fstests/fstime/mimfs_fstime.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fstime/mimfs_fstime.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,7 @@
+*** FILE SYSTEM TEST ( MOUNTED IMFS ) ***
+Initializing filesystem MOUNTED IMFS
+
+
+*** TIME TEST ***
+Sleep a few seconds
+*** END OF TIME TEST ***
Index: testsuites/fstests/fstime/mrfs_fstime.scn
===================================================================
--- testsuites/fstests/fstime/mrfs_fstime.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fstime/mrfs_fstime.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,9 @@
+
+
+*** FILE SYSTEM TEST ( MOUNTED RFS ) ***
+Initializing filesystem MOUNTED RFS
+
+
+*** TIME TEST ***
+Sleep a few seconds
+../../../../../../../rtems/c/src/../../testsuites/fstests/mrfs_fstime/../fstime/test.c: 128 st.st_ctime == st.st_mtime
